# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)
25.times do
  user = User.create do |user|
    user.first_name = Faker::Name.first_name
    user.last_name = Faker::Name.last_name
    user.email = Faker::Internet.safe_email
    user.birthday = Faker::Date.birthday(18, 65)
  end

  [0,1,2].sample.times do
    user.addresses.create do |address|
      address.street = Faker::Address.street_address
      address.city = Faker::Address.city
      address.state = Faker::Address.state
      address.zip = Faker::Address.zip
    end
  end
end
